org.apache.synapse.commons.json

## Class JsonBuilder

- java.lang.Object
- - org.apache.synapse.commons.json.JsonBuilder

- All Implemented Interfaces:
    org.apache.axis2.builder.Builder

      public final class JsonBuilder
      extends java.lang.Object
      implements org.apache.axis2.builder.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `processDocument(java.io.InputStream inputStream, java.lang.String s, org.apache.axis2.context.MessageContext messageContext)`
    `static org.apache.axiom.om.OMElement` | `toXml(java.io.InputStream jsonStream, boolean pIs)` Deprecated. Use `JsonUtil.toXml(java.io.InputStream, boolean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonBuilder

          public JsonBuilder()

  - ### Method Detail

    - #### processDocument

          public org.apache.axiom.om.OMElement processDocument(java.io.InputStream inputStream,
                                                               java.lang.String s,
                                                               org.apache.axis2.context.MessageContext messageContext)
                                                        throws org.apache.axis2.AxisFault

      Specified by:
        `processDocument` in interface `org.apache.axis2.builder.Builder`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### toXml

          public static org.apache.axiom.om.OMElement toXml(java.io.InputStream jsonStream,
                                                            boolean pIs)
                                                     throws org.apache.axis2.AxisFault

      Deprecated. Use `JsonUtil.toXml(java.io.InputStream, boolean)`
      Parameters:
        `jsonStream` -
        `pIs` -
      Returns:
        OMElement
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.